# add_refractoriness function

(Shortest import: `from brian2.equations.refractory import add_refractoriness)`

brian2.equations.refractory.add_refractoriness(eqs)

  Extends a given set of equations with the refractory mechanism. New parameters are added and differential equations with the “unless refractory” flag are changed so that their right-hand side is 0 when the neuron is refractory (by multiplication with the `not_refractory` variable).

  Parameters:

    eqs : `Equations`

    > The equations without refractory mechanism.

  Returns:

    new_eqs : `Equations`

    > New equations, with added parameters and changed differential equations having the “unless refractory” flag.